Bug 975054 - Tooltip for errata info in System Group does not display all systems
Tooltip for errata info in System Group does not display all systems
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Tazim Kolhar
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-06-17 10:05 EDT by Og Maciel
Modified: 2016-04-25 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-07-02 10:08:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Not all systems are displayed (16.45 KB, image/png)
2013-06-17 10:05 EDT, Og Maciel
no flags Details
Tooltip errata displays all 13 systems (156.17 KB, image/png)
2013-06-28 11:03 EDT, manjiri tapaswi
no flags Details
Tooltip errata displays all 13 systems in FF also (156.22 KB, image/png)
2013-06-28 11:04 EDT, manjiri tapaswi
no flags Details

  None (edit)
Description Og Maciel 2013-06-17 10:05:52 EDT
Created attachment 762035 [details]
Not all systems are displayed

Description of problem:

The tooltip for an errata for a system group does not display all systems that are part of the system group. See screenshot for an example where not all 6 systems are displayed.

Version-Release number of selected component (if applicable):

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10011-1.noarch
* foreman-compute-1.1.10011-1.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-libvirt-1.1.10011-1.noarch
* foreman-postgresql-1.1.10011-1.noarch
* foreman-proxy-1.1.10003-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-10.f5ae2cd.el6sat.noarch
* katello-1.4.2-14.el6sat.noarch
* katello-all-1.4.2-14.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-7.el6sat.noarch
* katello-cli-common-1.4.2-7.el6sat.noarch
* katello-common-1.4.2-14.el6sat.noarch
* katello-configure-1.4.3-16.el6sat.noarch
* katello-configure-foreman-1.4.3-16.el6sat.noarch
* katello-foreman-all-1.4.2-14.el6sat.noarch
* katello-glue-candlepin-1.4.2-14.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-14.el6sat.noarch
* katello-glue-pulp-1.4.2-14.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.2-0.3.beta.el6sat.noarch
* pulp-selinux-2.1.2-0.3.beta.el6sat.noarch
* pulp-server-2.1.2-0.3.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch
* signo-0.0.18-1.el6sat.noarch
* signo-katello-0.0.18-1.el6sat.noarch

How reproducible:

Steps to Reproduce:
1. Create a system group with more than 5 systems in it

Actual results:

See screenshot

Expected results:

Additional info:
Comment 1 RHEL Product and Program Management 2013-06-17 10:23:52 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 3 manjiri tapaswi 2013-06-28 11:03:46 EDT
Created attachment 766595 [details]
Tooltip errata displays all 13 systems
Comment 4 manjiri tapaswi 2013-06-28 11:04:27 EDT
Created attachment 766596 [details]
Tooltip errata displays all 13 systems in FF also
Comment 5 manjiri tapaswi 2013-06-28 11:06:16 EDT
Unable to reproduce with 10+ systems in both Firefox 21.0 and Chrome 28.0; attached screenshots.
Comment 6 Bryan Kearney 2014-04-24 11:51:08 EDT
Appears fixed per comment 4, moving to on_qa.
Comment 7 Tazim Kolhar 2014-05-09 07:10:07 EDT
Version :
# rpm -qa | grep katello

# hammer --help
    hammer [OPTIONS] SUBCOMMAND [ARG] ...

    SUBCOMMAND                    subcommand
    [ARG] ...                     subcommand arguments

    activation-key                Manipulate activation keys.
    architecture                  Manipulate architectures.
    compute-resource              Manipulate compute resources.
    content-host                  manipulate content hosts on the server
    content-view                  Manipulate content views.
    domain                        Manipulate domains.
    environment                   Manipulate environments.
    fact                          Search facts.
    global-parameter              Manipulate global parameters.
    gpg                           manipulate GPG Key actions on the server
    host                          Manipulate hosts.
    host-collection               Manipulate host collections
    hostgroup                     Manipulate hostgroups.
    lifecycle-environment         manipulate lifecycle_environments on the server
    location                      Manipulate locations.
    medium                        Manipulate installation media.
    model                         Manipulate hardware models.
    organization                  Manipulate organizations
    os                            Manipulate operating system.
    partition-table               Manipulate partition tables.
    ping                          get the status of the server
    product                       Manipulate products.
    proxy                         Manipulate smart proxies.
    puppet-class                  Search puppet modules.
    puppet-module                 View Puppet Module details.
    report                        Browse and read reports.
    repository                    Manipulate repositories
    repository-set                manipulate repository sets on the server
    sc-param                      Manipulate smart class parameters.
    shell                         Interactive shell
    subnet                        Manipulate subnets.
    subscription                  Manipulate subscriptions.
    sync-plan                     Manipulate sync plans
    task                          Tasks related actions.
    template                      Manipulate config templates.
    user                          Manipulate users.

System Group is not supported
Comment 8 Bryan Kearney 2014-07-02 10:08:03 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.